Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 890153 - [abrt] system-config-printer-1.3.9-1.fc17: system-config-printer.py:1537:delete_selected_printer_queues:ValueError: invalid tree path
Summary: [abrt] system-config-printer-1.3.9-1.fc17: system-config-printer.py:1537:dele...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8f1606c72340648fbab153b7a63...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-25 11:13 UTC by Matt Warner
Modified: 2013-05-25 12:09 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.13-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-25 12:09:04 UTC
Type: ---


Attachments (Terms of Use)
File: executable (57 bytes, text/plain)
2012-12-25 11:13 UTC, Matt Warner
no flags Details
File: environ (1.24 KB, text/plain)
2012-12-25 11:13 UTC, Matt Warner
no flags Details
File: smolt_data (3.24 KB, text/plain)
2012-12-25 11:14 UTC, Matt Warner
no flags Details
File: core_backtrace (264 bytes, text/plain)
2012-12-25 11:14 UTC, Matt Warner
no flags Details

Description Matt Warner 2012-12-25 11:13:54 UTC
Version-Release number of selected component:
system-config-printer-1.3.9-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
kernel:         3.6.7-4.fc17.x86_64

backtrace:
:system-config-printer.py:1537:delete_selected_printer_queues:ValueError: invalid tree path
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/system-config-printer.py", line 1503, in on_delete_activate
:    self.delete_selected_printer_queues ()
:  File "/usr/share/system-config-printer/system-config-printer.py", line 1537, in delete_selected_printer_queues
:    iter = model.get_iter (path)
:ValueError: invalid tree path
:
:Local variables in innermost frame:
:paths: [(5,), (4,), (3,), (2,), (1,), (0,)]
:message_format: 'Really delete selected destinations?'
:self: <GUI object at 0x18b37d0 (uninitialized at 0x0)>
:n: 6
:result: -3
:dialog: <gtk.MessageDialog object at 0x1c85b90 (GtkMessageDialog at 0x1ce1170)>
:path: (5,)
:model: <gtk.ListStore object at 0x18cd6e0 (GtkListStore at 0x1989a00)>

Comment 1 Matt Warner 2012-12-25 11:13:57 UTC
Created attachment 668859 [details]
File: executable

Comment 2 Matt Warner 2012-12-25 11:13:59 UTC
Created attachment 668860 [details]
File: environ

Comment 3 Matt Warner 2012-12-25 11:14:02 UTC
Created attachment 668861 [details]
File: smolt_data

Comment 4 Matt Warner 2012-12-25 11:14:04 UTC
Created attachment 668862 [details]
File: core_backtrace

Comment 5 Tim Waugh 2013-01-03 15:49:11 UTC
Fixed upstream in commit e65c0fd.  Thanks for the report.

Comment 6 Fedora Update System 2013-03-27 17:33:06 UTC
system-config-printer-1.3.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.13-1.fc18

Comment 7 Fedora Update System 2013-03-29 01:20:46 UTC
Package system-config-printer-1.3.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4511/system-config-printer-1.3.13-1.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-05-25 12:09:04 UTC
system-config-printer-1.3.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.